Subject: Re: Question about inital screen position.

From: John Morey <[email-masked]>
Date: Mon, 27 Jan 97 15:29:47 EST

> 
> On January 27, John Morey said:
> > I have noticed that ntemacs always starts up in the upper left hand
> > corner of the screen.  Is there a way to let the window manager
> > position ntemacs on startup?  I have checked the FAQ and it contains
> > ways to set the startup position to a fixed position but I would like
> > to let the window manager do the postioning on startup.
> 
> Emacs starts with 'hints' to the window manager that it should be
> postitioned at (0,0). Some window managers like FVWM allow you to
> ignore these hints. I don't think there's any easy way to do it with
> ntemacs, short of patching the source and rebuilding.
> 
> Waider.
> -- 
> [email-masked] / AutoDealing Software Ltd. / +353-1-6766455

I'm not sure how Windows works but if it is the same as Motif
then I agree with you about the 'hints'.  What I do not understand
is why ntemacs would be giving the window manager any hints about
where it should be if I did not set this in any way.  If I do not
set up a starting position then the window manager should not be
given any hints about a starting position.  This would allow the
window manager to position the window where it wants to.

--
| John Morey                |            [email-masked] |
| Software Architect        |      Voice:(770) 937-7895 |
| Technology Builders, Inc. |        Fax:(770) 937-7901 |
| Atlanta, GA               |        http://www.tbi.com |